diff --git a/irc/kvirc/Makefile b/irc/kvirc/Makefile
index caf1068666a8..7ce18673575f 100644
--- a/irc/kvirc/Makefile
+++ b/irc/kvirc/Makefile
@@ -1,6 +1,6 @@
 PORTNAME=	KVIrc
-DISTVERSION=	5.0.0-73
-DISTVERSIONSUFFIX=	-gbdeac0429
+DISTVERSION=	5.0.0-85
+DISTVERSIONSUFFIX=	-ge68b21c95
 CATEGORIES=	irc kde
 
 MAINTAINER=	kde@FreeBSD.org
diff --git a/irc/kvirc/distinfo b/irc/kvirc/distinfo
index eaa611c31d39..3808795d2918 100644
--- a/irc/kvirc/distinfo
+++ b/irc/kvirc/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1582480339
-SHA256 (KVIrc-KVIrc-5.0.0-73-gbdeac0429_GH0.tar.gz) = 69b011a9fb09cb7a04340042bfeba78840a0205d1f00d2fa8aaa4cc6b86fee53
-SIZE (KVIrc-KVIrc-5.0.0-73-gbdeac0429_GH0.tar.gz) = 5964067
+TIMESTAMP = 1669275953
+SHA256 (KVIrc-KVIrc-5.0.0-85-ge68b21c95_GH0.tar.gz) = cf9325e7931940edfcbe046186d3a35f4ec358e86fa1ed6f48f29fcff8238c40
+SIZE (KVIrc-KVIrc-5.0.0-85-ge68b21c95_GH0.tar.gz) = 6169050
diff --git a/irc/kvirc/files/patch-src_modules_iograph_libkviiograph.cpp b/irc/kvirc/files/patch-src_modules_iograph_libkviiograph.cpp
index c559d7e987ef..fcd11f3b0541 100644
--- a/irc/kvirc/files/patch-src_modules_iograph_libkviiograph.cpp
+++ b/irc/kvirc/files/patch-src_modules_iograph_libkviiograph.cpp
@@ -1,6 +1,6 @@
 --- src/modules/iograph/libkviiograph.cpp.orig	2020-05-18 14:33:26 UTC
 +++ src/modules/iograph/libkviiograph.cpp
-@@ -35,6 +35,7 @@
+@@ -38,1 +38,1 @@
  
  #include <QPainter>
  #include <QPaintEvent>
diff --git a/irc/kvirc/pkg-plist b/irc/kvirc/pkg-plist
index 9d60893bf086..3f80dff6d598 100644
--- a/irc/kvirc/pkg-plist
+++ b/irc/kvirc/pkg-plist
@@ -1796,6 +1796,28 @@ share/kvirc/%%VER%%/locale/torrent_ru.mo
 share/kvirc/%%VER%%/locale/torrent_sr.mo
 share/kvirc/%%VER%%/locale/torrent_tr.mo
 share/kvirc/%%VER%%/locale/torrent_uk.mo
+share/kvirc/%%VER%%/config/modules/libkvitip_pl.kvc
+share/kvirc/%%VER%%/locale/about_ko.mo
+share/kvirc/%%VER%%/locale/addon_ko.mo
+share/kvirc/%%VER%%/locale/dcc_ko.mo
+share/kvirc/%%VER%%/locale/defscript_ko.mo
+share/kvirc/%%VER%%/locale/editor_ko.mo
+share/kvirc/%%VER%%/locale/filetransferwindow_ko.mo
+share/kvirc/%%VER%%/locale/kvirc_ko.mo
+share/kvirc/%%VER%%/locale/kvs_ko.mo
+share/kvirc/%%VER%%/locale/mediaplayer_ko.mo
+share/kvirc/%%VER%%/locale/notifier_ko.mo
+share/kvirc/%%VER%%/locale/objects_ko.mo
+share/kvirc/%%VER%%/locale/objects_pl.mo
+share/kvirc/%%VER%%/locale/options_ko.mo
+share/kvirc/%%VER%%/locale/perl_ko.mo
+share/kvirc/%%VER%%/locale/python_ko.mo
+share/kvirc/%%VER%%/locale/python_pl.mo
+share/kvirc/%%VER%%/locale/register_ko.mo
+share/kvirc/%%VER%%/locale/serverdb_ko.mo
+share/kvirc/%%VER%%/locale/sharedfileswindow_ko.mo
+share/kvirc/%%VER%%/locale/theme_ko.mo
+share/kvirc/%%VER%%/locale/torrent_ko.mo
 share/kvirc/%%VER%%/modules/caps/crypt/lamerizer
 share/kvirc/%%VER%%/modules/caps/crypt/rijndael
 share/kvirc/%%VER%%/modules/caps/crypt/rot13
